Skip to main content
GET
/
api
/
v1
/
auth
/
me
Get Current User
curl --request GET \
  --url https://api.example.com/api/v1/auth/me
{
  "user": {
    "id": "<string>",
    "email": "<string>",
    "username": "<string>",
    "display_name": "<string>",
    "avatar_url": "<string>",
    "plan_type": "<string>",
    "trial_ends_at": "<string>",
    "email_notifications_enabled": true
  },
  "agent_link": {}
}

Get Current User

Returns the profile of the currently authenticated user, including their agent link if one exists.

Authentication

Requires a valid user JWT token.

Response

user
object
The user’s agent profile (nullable if no agent created).

Example

curl https://api.ama2.me/api/v1/auth/me \
  -H "Authorization: Bearer YOUR_JWT_TOKEN"
{
  "user": {
    "id": "uuid",
    "email": "alice@example.com",
    "username": "alice",
    "display_name": "Alice",
    "avatar_url": null,
    "plan_type": "starter",
    "trial_ends_at": null,
    "email_notifications_enabled": true
  },
  "agent_link": {
    "id": "uuid",
    "custom_slug": "alice-agent",
    "display_name": "Alice's Agent",
    "is_active": true
  }
}